package com.chinaitop.depot.intelligent.ventilation.model;

public class TCtldevinfoBype {
    private Integer tcId;

    private Integer tcCode;

    private String tcName;

    private String tcStart;

    private String tcStop;

    private String tcByte;

    private Integer upOrDown;

    /**
     * 主键
     * @return tc_id 主键
     */
    public Integer getTcId() {
        return tcId;
    }

    /**
     * 主键
     * @param tcId 主键
     */
    public void setTcId(Integer tcId) {
        this.tcId = tcId;
    }

    /**
     * 上位机地址编码
     * @return tc_code 上位机地址编码
     */
    public Integer getTcCode() {
        return tcCode;
    }

    /**
     * 上位机地址编码
     * @param tcCode 上位机地址编码
     */
    public void setTcCode(Integer tcCode) {
        this.tcCode = tcCode;
    }

    /**
     * 变量名
     * @return tc_name 变量名
     */
    public String getTcName() {
        return tcName;
    }

    /**
     * 变量名
     * @param tcName 变量名
     */
    public void setTcName(String tcName) {
        this.tcName = tcName == null ? null : tcName.trim();
    }

    /**
     * 启动指令
     * @return tc_start 启动指令
     */
    public String getTcStart() {
        return tcStart;
    }

    /**
     * 启动指令
     * @param tcStart 启动指令
     */
    public void setTcStart(String tcStart) {
        this.tcStart = tcStart == null ? null : tcStart.trim();
    }

    /**
     * 停止指令
     * @return tc_stop 停止指令
     */
    public String getTcStop() {
        return tcStop;
    }

    /**
     * 停止指令
     * @param tcStop 停止指令
     */
    public void setTcStop(String tcStop) {
        this.tcStop = tcStop == null ? null : tcStop.trim();
    }

    /**
     * 占位顺序
     * @return tc_byte 占位顺序
     */
    public String getTcByte() {
        return tcByte;
    }

    /**
     * 占位顺序
     * @param tcByte 占位顺序
     */
    public void setTcByte(String tcByte) {
        this.tcByte = tcByte == null ? null : tcByte.trim();
    }

    /**
     * 仓上，仓下（0代表仓上，1代表仓下）
     * @return up_or_down 仓上，仓下（0代表仓上，1代表仓下）
     */
    public Integer getUpOrDown() {
        return upOrDown;
    }

    /**
     * 仓上，仓下（0代表仓上，1代表仓下）
     * @param upOrDown 仓上，仓下（0代表仓上，1代表仓下）
     */
    public void setUpOrDown(Integer upOrDown) {
        this.upOrDown = upOrDown;
    }
}